@import 'settings';
@import 'typography';
@import 'mixins';

.HomePartners {
    position: relative;
    height: 100vh;
    overflow: hidden;
    text-align: center;

    h2 {
        @include heading-large;
        font-weight: normal;
        font-size: 42px;
        color: $white;
        margin-bottom: 20px;

        em {
            font-style: normal;
            font-weight: bold;
            color: $white;
        }
    }

    .button {
        background: $gray-100;
        color: $body-font-color;
        border: 0;
    }

    &__background {
        position: fixed;
        top: 0;
        right: 0;
        height: 100%;
        width: 100%;
        background-color: $blue;
        background-image: url('/s/assets/img/partnergrid.png');
        background-position: center;
        background-repeat: repeat;

        opacity: 0;
        transition: opacity 400ms 150ms;
        will-change: opacity;

        &::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: transparentize($black, 0.8);
        }
    }

    &.isActive &__background {
        opacity: 1;
    }

    &__container {
        position: relative;
        height: 100%;
        margin: 0 auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__text {
        position: relative;

        &__content {
            position: relative;
            z-index: 1;
        }
    }

    @media #{$tablet-down} {
        &__container {
            flex-direction: column;
        }

        &__text {
            height: 320px;
            padding-top: 60px;
            padding-bottom: 50px;
        }
    }

    @media #{$tablet-wide} {
        &__text {
            width: 450px;
        }
    }

    // outline circle
    &__circle {
        display: none;
        position: absolute;
        z-index: 0;
        border: solid $white;
        border-width: 0;
        border-radius: 50%;

        @media #{$tablet-down} {
            width: 150vw;
            height: 50vh;
            bottom: 0;
            left: 50%;
            border-left-width: 2px;
            border-bottom-width: 2px;
            transform: translateX(-50%);
        }

        @media #{$tablet-wide} {
            top: 50%;
            right: 0;
            width: 64vw;
            height: 180vh;
            border-right-width: 2px;
            border-top-width: 2px;
            transform: translateY(-50%);
        }
    }
}
